<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2009 Astra WebTechnology
 * @author Vitaly Hohlov <vitaly.hohlov@gmail.com>
 * @package Blocks
 */
/**************************************************************************/

/**
 * Блок "Случайное изображение".
 *
 * <a href="http://wiki.a-cms.ru/blocks/randimage">Руководство</a>.
 */

class randimage_Block extends A_Block
{
/**
 * Формирование данных доступных в шаблоне.
 */

  function createData()
  {
	$this->params['path']=preg_replace("/\/$/i","",$this->params['path']);
	$this->params['path']=preg_replace("/^\//i","",$this->params['path']);
	if(is_dir($this->params['path']))
	{ $image_ext=array("gif","jpg","jpeg","png");
	  $srcs=array();
	  $files=scandir($this->params['path']);
	  foreach($files as $file)
      { if($file=="." || $file=="..") continue;
        if(is_file($this->params['path']."/$file"))
        { $path_parts=pathinfo($this->params['path']."/$file");
	      $ext=mb_strtolower($path_parts["extension"]);
		  if(in_array($ext,$image_ext))
		  $srcs[]=$this->params['path']."/$file";
	    }
      }
	  if(count($srcs)>0)
	  $src=$srcs[array_rand($srcs)];
	}
	else
	$src=$this->params['path'];

	$this->Assign("src","/".$src);
  }
}